Create a database branch
post
/v2/projects/{ref}/branchesCreates a database branch from the specified project. Compute and disk size can be set here so the branch is provisioned at the requested size, instead of being resized after creation.
OAuth scopes
- environment:write
The fine-grained token must include the following permissions to access this endpoint:
- branching_development_create
- or
- branching_production_create
Path parameters
- refRequiredstring
Project ref
Body
- dataRequiredobject
Response codes
- 201
- 400
- 401
- 402
- 403
- 429
- 500
Response (201)
{ "data": { "type": "branch", "id": "00000000-0000-0000-0000-000000000000", "attributes": { "name": "lorem", "project_ref": "lorem", "parent_project_ref": "lorem", "is_default": true, "persistent": true, "with_data": true, "git_branch": "lorem", "notify_url": "https://github.com/NeuraLegion/brokencrystals", "created_at": "2021-12-31T23:34:00Z", "updated_at": "2021-12-31T23:34:00Z" } }}